# 1:1 Face Verification V4

## 1:1 Face Verification V4

<mark style="color:green;">`POST`</mark> `http://demo.faceid.asia/api/faceid/v4/verify`

#### Request Body

| Name         | Type   | Description                                             |
| ------------ | ------ | ------------------------------------------------------- |
| apiKey       | string | To be assigned by Innov8tif                             |
| imageIdCard  | string | Front id card image in base64                           |
| imageBest    | string | Image in base64 that's used to compare with imageIdCard |

{% tabs %}
{% tab title="200 " %}

```
{"request_id":"8fa0cdcf-5f50-4671-8db1-47145232d200","result_idcard":{"confidence":0.51890767}}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="JSON" %}

```
{
	"apiKey": "apiKey",
	"imageIdCard": "",
	"imageBest": ""
}
```

{% endcode %}

{% file src="/files/-Lvj8QgW-0daPeK0kVtC" %}
OkayFace v4
{% endfile %}

### Recommended Threshold: 1.0

| Face Verification Status | Description                         |
| ------------------------ | ----------------------------------- |
| Pass                     | Confidence >= Recommended Threshold |
| Fail                     | Confidence < Recommended Threshold  |

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okayface/1-1-face-verification-v4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
